:root
{
    --black: #070E16;
    --white: #fff;
    --blue: #273B50;
    --primary: #FE882B;
}

body {
    background-color: var(--black);
    min-height: 100dvh;
    width: 100%;
    display: flex;
    flex-direction: column;
}

main {
    display: flex;
    width: 100%;
    flex: 1;
    padding: 16px;
}

.vsl
{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 24px;
    justify-content: center;
    max-width: 900px;
    margin: 0 auto;
}

.vsl .wrapper_vsl
{
    width: 100%;
    border-radius: 8px;
    overflow: hidden;
}

.vsl a
{
    width: 100%;
    max-width: 500px;
    padding: 24px 32px;
    text-align: center;
    color: var(--primary);
    font-size: clamp(1.1rem, 1.5vw, 1.8rem);
    font-weight: 900;
    border: 3px solid var(--primary);
    border-radius: 8px;
    animation: pulseButton 2s infinite ease;
    background: linear-gradient(90deg, hsl(from var(--blue) h s l / 0.35), transparent 30%, transparent 70%, hsl(from var(--blue) h s l / 0.35));
}

@keyframes pulseButton {
    0%
    {
        transform: scale(1);
    }
    
    30%
    {
        transform: scale(1.1);
    }
    
    100%
    {
        transform: scale(1);
    }
}

.esconder 
{
    display: none;
}

.sound-warning {
    display: flex;
    align-items: center;
    gap: 8px;
    color: var(--white);
    font-size: 1rem;
}

.sound-warning svg {
    color: var(--primary);
}

@media (max-width:652px) {
    main {
        padding: 0;
    }
    
    .vsl .wrapper_vsl {
        border-radius: 0;
    }

    .vsl a {
        padding: 12px 24px;
        margin: 0 16px 16px;
        font-size: 1.1rem;
        width: calc(100% - 32px);
        max-width: 400px;
    }

    .sound-warning {
        font-size: 0.9rem;
        margin: 8px 16px 0;
    }
}